> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file

> Retrieves a single file by ID for the current organization



## OpenAPI

````yaml post /files/get
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /files/get:
    post:
      tags:
        - Files
      summary: Get file
      description: Retrieves a single file by ID for the current organization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: ID of the file to retrieve
              required:
                - id
              description: Request to get a single file
      responses:
        '200':
          description: File retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the file
                  name:
                    type: string
                    description: Name of the file
                  mimeType:
                    type:
                      - string
                      - 'null'
                    description: MIME type of the file
                  sizeBytes:
                    type:
                      - number
                      - 'null'
                    description: Size of the file in bytes
                  downloadUrl:
                    type: string
                    description: URL to download the file
                  key:
                    type:
                      - string
                      - 'null'
                    description: >-
                      Key identifier for the file (for example, a key provided
                      when completing a download for the file).
                required:
                  - id
                  - name
                  - mimeType
                  - sizeBytes
                  - downloadUrl
                  - key
                description: File details with download URL
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: File not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````